View Issue Details

IDProjectCategoryView StatusLast Update
0032705Open CASCADEOCCT:Testspublic2021-12-04 12:30
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032705: Test - name clashes within temporary files within bugs/caf/bug23766_X
DescriptionSeveral test case bugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6 write temporary files with the same names leading to random collisions and test failures:
Tcl Exception: error deleting "C:/jenkins-test-08/testex1/workspace/CR32704/tests/group1/bugs/caf/bug23766_ttt1.cbf": permission denied
Steps To Reproduce
testgrid test case bugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6
TagsNo tags attached.
Test case numberbugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6

Activities

git

2021-12-01 22:34

administrator   ~0105589

Branch CR32705 has been created by kgv.

SHA-1: 34e1181fc5cc8cf11ec712f26af6ca527092839e


Detailed log of new commits:

Author: kgv
Date: Wed Dec 1 21:50:48 2021 +0300

    0032705: Test - name clashes within temporary files within bugs/caf/bug23766_X
    
    Several test cases writing temporary files have been corrected.

git

2021-12-02 09:56

administrator   ~0105591

Branch CR32705 has been updated forcibly by kgv.

SHA-1: 5a3bd206da35646ebd4dc8b19214c24c6bcde88b

kgv

2021-12-02 11:29

developer   ~0105598

Please raise the patch
- OCCT: branch CR32705.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32705-master-KGV/

smoskvin

2021-12-04 12:00

administrator   ~0105644

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105660

Branch CR32705 has been deleted by mnt.

SHA-1: 5a3bd206da35646ebd4dc8b19214c24c6bcde88b

Related Changesets

occt: master 30fa5f67

2021-12-01 18:50:48

kgv


Committer: smoskvin Details Diff
0032705: Test - name clashes within temporary files within bugs/caf/bug23766_X

Several test cases writing temporary files have been corrected.
Affected Issues
0032705
mod - tests/bugs/caf/buc60756 Diff File
mod - tests/bugs/caf/buc60756_std Diff File
mod - tests/bugs/caf/bug158 Diff File
mod - tests/bugs/caf/bug170_3 Diff File
mod - tests/bugs/caf/bug1919 Diff File
mod - tests/bugs/caf/bug23306 Diff File
mod - tests/bugs/caf/bug23766_4 Diff File
mod - tests/bugs/caf/bug23766_5 Diff File
mod - tests/bugs/caf/bug23766_6 Diff File
mod - tests/bugs/caf/bug24164_1 Diff File
mod - tests/bugs/caf/bug24164_2 Diff File
mod - tests/bugs/caf/bug24852 Diff File
mod - tests/bugs/caf/bug25394_1 Diff File
mod - tests/bugs/caf/bug25394_2 Diff File
mod - tests/bugs/caf/bug25394_3 Diff File
mod - tests/bugs/caf/bug25536 Diff File
mod - tests/bugs/caf/bug25537 Diff File
mod - tests/bugs/caf/bug26290_newattribute_1 Diff File
mod - tests/bugs/caf/bug26290_newattribute_2 Diff File
mod - tests/bugs/caf/bug267_1 Diff File
mod - tests/bugs/caf/bug27433 Diff File
mod - tests/bugs/caf/bug27604 Diff File
mod - tests/bugs/caf/bug28428 Diff File
mod - tests/bugs/caf/bug28691 Diff File
mod - tests/bugs/caf/bug29217 Diff File
mod - tests/bugs/caf/bug381_1 Diff File
mod - tests/bugs/caf/bug381_2 Diff File
mod - tests/bugs/caf/bug425 Diff File
mod - tests/bugs/caf/bug9746 Diff File
mod - tests/bugs/iges/bug23822 Diff File
mod - tests/bugs/iges/bug25518 Diff File
mod - tests/bugs/iges/bug25632_1 Diff File
mod - tests/bugs/iges/bug25632_2 Diff File
mod - tests/bugs/iges/bug25747 Diff File
mod - tests/bugs/iges/bug26138 Diff File
mod - tests/bugs/iges/bug26419_1 Diff File
mod - tests/bugs/iges/bug26419_2 Diff File
mod - tests/bugs/iges/bug26931 Diff File
mod - tests/bugs/iges/bug26989 Diff File
mod - tests/bugs/iges/bug28589 Diff File
mod - tests/bugs/step/bug26657 Diff File
mod - tests/bugs/step/bug29403 Diff File
mod - tests/bugs/step/bug31550 Diff File
mod - tests/bugs/step/bug32679 Diff File
mod - tests/bugs/xde/bug21802 Diff File
mod - tests/bugs/xde/bug23384 Diff File
mod - tests/bugs/xde/bug25910 Diff File
mod - tests/bugs/xde/bug26174 Diff File
mod - tests/bugs/xde/bug27447 Diff File
mod - tests/bugs/xde/bug27701 Diff File
mod - tests/bugs/xde/bug28044 Diff File
mod - tests/bugs/xde/bug28641 Diff File
mod - tests/bugs/xde/bug29338 Diff File
mod - tests/bugs/xde/bug533 Diff File
mod - tests/caf/bugs/A1 Diff File
mod - tests/caf/bugs/A2 Diff File
mod - tests/caf/bugs/A3 Diff File
mod - tests/caf/bugs/A4 Diff File
mod - tests/caf/bugs/A5 Diff File
mod - tests/caf/bugs/A6 Diff File
mod - tests/caf/bugs/A7 Diff File
mod - tests/caf/bugs/A8 Diff File
mod - tests/caf/bugs/A9 Diff File
mod - tests/caf/bugs/B1 Diff File
mod - tests/caf/bugs/B2 Diff File
mod - tests/caf/bugs/B3 Diff File
mod - tests/caf/bugs/B4 Diff File
mod - tests/caf/bugs/B5 Diff File
mod - tests/caf/bugs/B6 Diff File
mod - tests/caf/bugs/B7 Diff File
mod - tests/caf/bugs/B8 Diff File
mod - tests/caf/bugs/B9 Diff File
mod - tests/caf/presentation/M1 Diff File
mod - tests/caf/progress/A1 Diff File
mod - tests/caf/progress/A2 Diff File
mod - tests/perf/caf/bug2793 Diff File
mod - tests/perf/de/bug29830_3 Diff File
mod - tests/perf/de/bug29830_dir/script Diff File

Issue History

Date Modified Username Field Change
2021-12-01 17:34 kgv New Issue
2021-12-01 17:34 kgv Assigned To => apn
2021-12-01 22:34 git Note Added: 0105589
2021-12-02 09:56 git Note Added: 0105591
2021-12-02 11:29 kgv Test case number => case bugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6
2021-12-02 11:29 kgv Note Added: 0105598
2021-12-02 11:29 kgv Assigned To apn => bugmaster
2021-12-02 11:29 kgv Status new => resolved
2021-12-02 11:29 kgv Status resolved => reviewed
2021-12-02 11:29 kgv Test case number case bugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6 => bugs caf bug23766_1,bug23766_2,bug23766_3,bug23766_4,bug23766_5,bug23766_6
2021-12-04 12:00 smoskvin Note Added: 0105644
2021-12-04 12:00 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 30fa5f67
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105660